EDIT - feature request #5956

Improve functionality and UX for (children display in) breadcrumb navigation - 2
07/05/2016 04:06 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal

Description

successor of #5852
1) remove transparency (needs to be discussed if needed): moved to #6312

2) mobile devices: you mention already that taxon links are tiny, this is true, but an even more critical issue is that the last symbol (if
the taxon has children) is very difficult to click on (I tried several times and it always took me at least 5 times until | really touched it).
Maybe we can enlarge it somehow.

An other issue to become a full replacement of the classification tree is, that browsing is more difficult. To go to an other taxon not
being a simpling but e.g. the child of a parent sibling, you first need to click (and load!!) the parent sibling, before you can click the
taxon you want to go to. Especially on mobile devices this is a disadvantages as you may need to enlarge the intermediate side first
before clicking to the next taxon. Same holds for browsing the tree from top where you have to open each taxon on the path down to
the taxon you search for. We should think about ways how to improve this. -> #6313

3) handle too wide child boxes

at http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/4468bc2b-bcc3-49a4-95ab-83cdcdbal3d9b.

Here when browsing the children of Hieracium the scrollbar is not visible anymore if the browser window is not wide enough. This is
due to some unparsed names. | wonder if there should be a rule that the vertical scrollbar should always be visible. If not there need
to be a horizontal scrollbar. If not the only way to scroll is the mouse wheel.

Related issues:

Related to EDIT - feature request #6313: Improve browser functionality of bre... New
Related to EDIT - task #9951: Improve classification breadcrumb layout - avoi... New
Copied to EDIT - feature request #6312: [DISCUSS] Remove transparency from br... New

Associated revisions

Revision 69fb3dbb - 12/02/2016 10:42 AM - Andreas Kohlbecker
ref #5956 improving classification breadcrumb nav
e avoiding boxes that are not being closed on mouse out

e more consistent Ul by adding ... as trigger for the last element
e boxes are hidden by slideup effect

Revision 274ff13f - 12/02/2016 02:08 PM - Andreas Kohlbecker
ref #5956 improving classification breadcrumb navigation

e avoiding boxes that are not being closed on mouse out second part
e fixing loading animation

Revision 53¢705d4 - 12/02/2016 03:42 PM - Andreas Kohlbecker

ref #5956 improving classification breadcrumb navigation

e avoiding boxes that are not being closed on mouse out third part

Revision e03a7102 - 12/02/2016 04:01 PM - Andreas Kohlbecker

ref #5956 classification breadcrumb navigation for mobiles fixed
History

#1 - 12/02/2016 10:38 AM - Andreas Kohlbecker
- Description updated
- Target version changed from Unassigned CDM tickets to Release 4.4

- Private changed from Yes to No

#2 - 12/02/2016 04:07 PM - Andreas Kohlbecker

- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

all issues solved except the transparency which needs to be discussed.

| am not sure if the caveats mentioned in
An other issue to become a full replacement of the classification tree is, that browsing is more difficult. To go to an other taxon not being a
simpling but e.g. the child of a parent sibling, you first need to click (and load!!) the parent sibling, before you can click the taxon you want to go
to. Especially on mobile devices this is a disadvantages as you may need to enlarge the intermediate side first before clicking to the next taxon.
Same holds for browsing the tree from top where you have to open each taxon on the path down to the taxon you search for. We should think
about ways how to improve this.

still is relevant.

Please copy this specific sub-issue to a new ticket if you think that this still needs to be improved.

#3 - 12/02/2016 04:07 PM - Andreas Kohlbecker
- % Done changed from 0 to 70

#4 - 01/06/2017 10:24 AM - Andreas Miiller
- Copied to feature request #6312: [DISCUSS] Remove transparency from breadcrumps added

#5 - 01/06/2017 10:25 AM - Andreas Miiller

- Description updated

#6 - 01/06/2017 10:30 AM - Andreas Miiller

- Related to feature request #6313: Improve browser functionality of breadcrumbs added
#7 - 01/06/2017 10:31 AM - Andreas Miiller
Andreas Kohlbecker wrote:
all issues solved except the transparency which needs to be discussed.
I am not sure if the caveats mentioned in
An other issue to become a full replacement of the classification tree is, that browsing is more difficult. To go to an other taxon not being a
simpling but e.g. the child of a parent sibling, you first need to click (and load!!) the parent sibling, before you can click the taxon you want to
go to. Especially on mobile devices this is a disadvantages as you may need to enlarge the intermediate side first before clicking to the next
taxon. Same holds for browsing the tree from top where you have to open each taxon on the path down to the taxon you search for. We
should think about ways how to improve this.

still is relevant.

Please copy this specific sub-issue to a new ticket if you think that this still needs to be improved.

Yes this is definetly still relevant. | moved it to a new ticket: #6313

#8 - 01/06/2017 11:00 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

mobile devices:
on my Samsung S5 | still have a couple of problems

e when trying to click on the last symbol (or any other that should show siblings, it shortly opens the box with the sibling but immediately closes it
again and shows instead an hourglass (or another loading symbol), only clicking again the symbol makes the box stable

e clicking on a name within the breadcrumb loads the name instead of showing the sibling box (or shows it only very shortly and then loads the
box)

#9 - 01/06/2017 11:01 AM - Andreas Miiller

- Description updated

#10 - 01/06/2017 11:02 AM - Andreas Miuiller

- Description updated

#11 - 01/06/2017 11:06 AM - Andreas Miiller

A new issue (maybe existed before but | did not realize): if trying to move the scrollbar by pressing the mouse button and then moving it, it tries to
move the whole widget but does not move the scrollbar. This happened often but not always.

#12 - 01/06/2017 11:21 AM - Andreas Muller

3) too wide child boxes:

seems to work now. On mobile it shows only 3 columns and they can be scolled, though it is not very obvious and the user needs to know, maybe the
visibility of the scollbar (only vertical available) can be improved, this is a minor issue

On desktop names sometimes overlap slightly if too long. You can see this on the above Hieracium page where some "... group” taxa overlap with the
taxa of the next column. However, the overlap is only very small, so this is a minor issue

#13 - 01/06/2017 12:54 PM - Andreas Miiller
- File Overlap.PNG added

#14 - 01/06/2017 12:56 PM - Andreas Miiller

Andreas Muller wrote:
3) too wide child boxes:

seems to work now. On mobile it shows only 3 columns and they can be scolled, though it is not very obvious and the user needs to know,
maybe the visibility of the scollbar (only vertical available) can be improved, this is a minor issue

On desktop names sometimes overlap slightly if too long. You can see this on the above Hieracium page where some "... group" taxa overlap
with the taxa of the next column. However, the overlap is only very small, so this is a minor issue

Sometimes the overlap is larger: see:

H. parryi H. pedemont
H. parvulifrons H. pelagae

H. patagiarium (lohanss. ex Dahlet. pBlihksh. 5|
H. patagonicum H. pellucidun

Maybe we should better truncate such long names?

#15 - 02/22/2022 10:57 AM - Andreas Kohlbecker

- Related to task #9951: Improve classification breadcrumb layout - avoid overlap added

#16 - 02/22/2022 10:57 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 70 to 100

open issue moved to #9951

Files

Overlap.PNG 3.48 KB 01/06/2017 Andreas Mller
